#!/bin/bash

strings -a -n 10 Lume |less

objdump -x Lume

okteta Lume

python find_compress1.py -m -o 10500752 Lume >find_Lume_10500752.txt

python3 skipto.py Lume 10501924 >Lume.swf

swfdump Lume.swf |less

swftopython Lume.swf >Lume.py

grep addString Lume.py >Lume.txt

swf=Lume.swf
grep swfextract Lume.py |cut -c 3-|sed 's/\$swf/$swf;/g'
# The following command is extremely dangerous and should only be run if you validate the output of the above command and find no malicious code.
eval $(grep swfextract Lume.py |cut -c 3-|sed 's/\$swf/$swf;/g')

grep -i music Lume.py

grep -i Score Lume.py

swfextract -i 6 -o Lumem3.swf Lume.swf
python swf_decompress.py Lumem3.swf >Lumem3a.mp3

python magic1.py Lumem3a.mp3 

exiftool Lumem3a.mp3

grep SWFSound Lume.py >Lume_sounds.txt

for x in $(gawk '{print $1}' Lume_sounds.txt | cut -c 10-); do
	echo "$x";
	swfextract -i "$x" -o Lumes"$x".swf Lume.swf
	python swf_decompress.py Lumes"$x".swf >Lumes"$x".mp3
	rm Lumes"$x".swf
done

exiftool Lumes*.mp3 | sort |uniq -c |sort -nr |less

swfextract -i 175 -o video175.flv Lume.swf

swfextract -i 740 -o video740.flv Lume.swf

swfextract -i 742 -o Lumei742.swf Lume.swf
python swf_decompress.py Lumei742.swf >Lumei742.jpg
exiftool Lumei742.jpg
python3 skipto.py Lumei742.jpg 38 > Lumei742a.jpg
rm Lumei742.swf Lumei742.jpg

for f in $(grep swfextract Lume.py |cut -c 3- | gawk '{print $5}'); do
	if ! [ -e "$f" ]; then
		num=$(basename "$f" .jpg)
		num=${num:9:15}
		swfextract -i "$num" -o Lumei"$num".swf Lume.swf
		python swf_decompress.py Lumei"$num".swf >Lumei"$num".jpg
		python3 skipto.py Lumei"$num".jpg 38 > Lumei"$num"a.jpg
		rm Lumei"$num".swf Lumei"$num".jpg
	fi
done

file Lumei*.jpg |grep -v JPEG

exiftool Lumei22.jpg

for num in 22 37 40 81 85; do
	swfextract -i "$num" -o Lumei"$num".swf Lume.swf
	python swf_decompress.py Lumei"$num".swf >Lumei"$num".jpg
	python3 skipto.py Lumei"$num".jpg 36 > Lumei"$num"a.jpg
	rm Lumei"$num".swf Lumei"$num".jpg
done

file Lumei* |grep -v JPEG
